Skip to main content
POST
/
v1
/
api-keys
Create an API key
curl --request POST \
  --url https://api.getsly.ai/v1/v1/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "environment": "test",
  "scopes": [
    "*:*"
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "prefix": "<string>",
    "environment": "test",
    "scopes": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "key": "<string>",
    "warning": "<string>",
    "last_used_at": "2023-11-07T05:31:56Z",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).

Body

application/json
name
string
required
Required string length: 1 - 255
environment
enum<string>
required
Available options:
test,
live
scopes
string[]

Resource scopes like "accounts:", "transfers:read", "webhooks:"

Response

Key created

data
object
required